Bug 221256 - net/py-ripe.atlas.sagan: Update to 1.2.1
Summary: net/py-ripe.atlas.sagan: Update to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-08-05 20:02 UTC by Max Stucchi
Modified: 2017-08-14 19:39 UTC (History)
0 users

See Also:


Attachments
Patch to 1.2.1 (1.08 KB, patch)
2017-08-05 20:02 UTC, Max Stucchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Stucchi 2017-08-05 20:02:13 UTC
Created attachment 185060 [details]
Patch to 1.2.1
Comment 1 Po-Chuan Hsieh freebsd_committer 2017-08-06 16:21:29 UTC
I believe you miss the following change:

 RUN_DEPENDS=   ${PYTHON_PKGNAMEPREFIX}dateutil>0:devel/py-dateutil \
                ${PYTHON_PKGNAMEPREFIX}pytz>=0:devel/py-pytz \
-               ${PYTHON_PKGNAMEPREFIX}ipy>=0:net-mgmt/py-ipy
+               ${PYTHON_PKGNAMEPREFIX}cryptography>=0:security/py-cryptography
Comment 2 commit-hook freebsd_committer 2017-08-14 19:12:50 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Aug 14 19:11:39 UTC 2017
New revision: 447964
URL: https://svnweb.freebsd.org/changeset/ports/447964

Log:
  Update to 1.2.1

  - While I'm here:
    - Add LICENSE_FILE
    - Fix RUN_DEPENDS

  Changes:	https://github.com/RIPE-NCC/ripe.atlas.sagan/blob/master/CHANGES.rst
  PR:		221256
  Submitted by:	Max Stucchi <mstucchi@ripe.net> (maintainer)

Changes:
  head/net/py-ripe.atlas.sagan/Makefile
  head/net/py-ripe.atlas.sagan/distinfo
Comment 3 Po-Chuan Hsieh freebsd_committer 2017-08-14 19:39:58 UTC
Committed. Thanks!